﻿Imports System.Drawing
Imports Autodesk.AutoCAD.Runtime
Imports Autodesk.AutoCAD.ApplicationServices
Imports Autodesk.AutoCAD.EditorInput
Imports Autodesk.AutoCAD.DatabaseServices
Imports Autodesk.AutoCAD.Geometry
Imports Autodesk.AutoCAD.Windows

Public Class Class1

    Dim WithEvents myTrayItem As TrayItem
    Dim WithEvents myFirstMenuItem As System.Windows.Forms.MenuItem
    Dim WithEvents myContextMenu As System.Windows.Forms.ContextMenu

    <CommandMethod("tray")> _
    Sub ShowTray()
        myTrayItem = New TrayItem()
        myTrayItem.Icon = My.Resources.acad
        Application.StatusBar.TrayItems.Add(myTrayItem)
        Application.StatusBar.Update()

        myContextMenu = New ContextMenu
        myFirstMenuItem = New System.Windows.Forms.MenuItem("Update") ', AddressOf Me.MenuItem_onClick)
        myContextMenu.MenuItems.Add(myFirstMenuItem)
    End Sub

    Sub myTrayItem_MouseDown(ByVal sender As Object, ByVal e As StatusBarMouseDownEventArgs) Handles myTrayItem.MouseDown
        If e.Button = MouseButtons.Right Then
            myTrayItem.DisplayContextMenu(myContextMenu, New System.Drawing.Point(e.X, e.Y))
        End If
    End Sub

    Sub myFirstMenuItem_onClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles myFirstMenuItem.Click
        ' Wird nie erreicht
        MsgBox("Update geklickt")
    End Sub

    Sub myContextMenu_Popup(ByVal sender As Object, ByVal e As System.EventArgs) Handles myContextMenu.Popup
        ' Wird nie erreicht
        Application.DocumentManager.MdiActiveDocument.Editor.WriteMessage(vbCrLf + "ContextMenue Popup Event")
    End Sub

End Class
